host: cp.meter-data-service-example.dsp.enershare.dataspac.es
wallet: meter-data-service-example.dsp.enershare.dataspac.es
casdoor: casdoor.meter-data-service-example.dsp.enershare.dataspac.es
ingress:
  enabled: true
  clusterIssuer: letsencrypt
  path: /(.*)
  rewriteTarget: /$1
configFromSecrets:
  db:
    password:
      name: meter-data-service-postgresql
      key: postgres-password
  auth:
    clientID:
      name: casdoor-control-plane-meter-data-service-secret
      key: clientId
    clientSecret:
      name: casdoor-control-plane-meter-data-service-secret
      key: clientSecret
    clientUsername:
      name: casdoor-control-plane-meter-data-service-secret
      key: username
    clientPassword:
      name: casdoor-control-plane-meter-data-service-secret
      key: password
config:
  db:
    database: control-plane
    host: meter-data-service-postgresql
  server:
    publicAddress: https://{{ .Values.host }}/api
  auth:
    authorizationURL: https://{{ .Values.casdoor }}/login/oauth/authorize
    tokenURL: https://{{ .Values.casdoor }}/api/login/oauth/access_token
    introspectionURL: https://{{ .Values.casdoor }}/api/login/oauth/introspect
    callbackURL: https://{{ .Values.host }}/api/auth/callback
    rolePath: $.roles[*].name
    redirectURL: https://{{ .Values.host }}/
  runtime:
    controlPlaneInteractions: manual
  registry:
    useRegistry: true
    registryIntervalInMilliseconds: 300000
  iam:
    type: tsg-iatp
    didId: did:web:{{ .Values.wallet }}
    walletUrl: https://{{ .Values.wallet }}/api
    tokenUrl: https://{{ .Values.wallet }}/api/auth/login
    siopUrl: https://{{ .Values.wallet }}/api/iatp/holder/token
    verifyUrl: https://{{ .Values.wallet }}/api/iatp/verifier/verify
    typeFilter: EnershareCredential
    issuerFilter: did:web:dsp.enershare.dataspac.es
    clientId: "null"
    clientSecret: "null"
  initCatalog:
    creator: did:web:{{ .Values.wallet }}
    publisher: did:web:{{ .Values.wallet }}
    title: Meter Data Service
    description: Meter Data Service test connector
